FLATPAK UPDATE(1)

NAME
flatpak-update - Update an application or runtime

SYNOPSIS

flatpak update [OPTION...] [REF...]

DESCRIPTION

Updates applications and runtimes. REF is a reference to the application or runtime to install. If no REF is given, everything is updated.

Each REF arguments is a full or partial indentifier in the flatpak ref format, which looks like "(app|runtime)/ID/ARCH/BRANCH". All elements except ID are optional and can be left out, including the slashes, so most of the time you need only specify ID. Any part left out will be matched against what is installed, and if there are multiple matches an error message will list the alternatives.

By default this looks for both apps and runtime with the given REF in the specified REMOTE, but you can limit this by using the --app or --runtime option, or by supplying the initial element in the REF.

Normally, this command updates the application to the tip of its branch. But it is possible to check out another commit, with the --commit option.

Note that updating a runtime is different from installing a different branch, and runtime updates are expected to keep strict compatibility. If an application update does cause a problem, it is possible to go back to the previous version, with the --commit option.

Unless overridden with the --user or the --installation option, this command updates the default system-wide installation.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--user
    Update a per-user installation.

--system
    Update the default system-wide installation.

--installation=NAME
    Updates a system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

--arch=ARCH
    The architecture to update for.

--subpath=PATH
    Install only a subpath of the ref. This is mainly used to install a subset of locales. This can be added multiple times to install multiple subpaths. If this is not specified the subpaths specified at install time are reused.

--commit=COMMIT
    Update to this commit, instead of the tip of the branch.

--no-deploy
    Download the latest version, but don't deploy it.

--no-pull
    Don't download the latest version, deploy it whatever is locally available.

--no-related
    Don't download related extensions, such as the locale data.

--no-deps
    Don't update or install runtime dependencies when installing.

--app
    Only look for an app with the given name.

--appstream
    Update appstream for the remote.

--runtime
    Only look for an runtime with the given name.

-y, --assumeyes
    Automatically answer yes to all questions (or pick the most prioritized answer). This is useful for automation.

--force-remove
    Remove old files even if they're in use by a running application.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--version
    Print version information and exit.

EXAMPLES

$ flatpak --user update org.gnome.GEdit

SEE ALSO

flatpak(1), flatpak-install(1), flatpak-list(1)